commit: 97a6466309bf66a7c8380681510a0e38c613ed13
Author: Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 24 18:56:30 2015 +0000
Commit: Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Thu Dec 24 20:16:40 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97a64663
dev-libs/efl: fix builds on PaX kernels #547076
Sync the logic into the live ebuild.
dev-libs/efl/efl-9999.ebuild | 25 ++++++++++++++++++++++++-
1 file changed, 24 insertions(+), 1 deletion(-)
diff --git a/dev-libs/efl/efl-9999.ebuild b/dev-libs/efl/efl-9999.ebuild
index fcf0d81..806219a 100644
--- a/dev-libs/efl/efl-9999.ebuild
+++ b/dev-libs/efl/efl-9999.ebuild
@@ -18,7 +18,7 @@ else
EKEY_STATE="snap"
fi
-inherit enlightenment
+inherit enlightenment pax-utils
DESCRIPTION="Enlightenment Foundation Libraries all-in-one package"
@@ -163,6 +163,17 @@ DEPEND="
S=${WORKDIR}/${MY_P}
+src_prepare() {
+ enlightenment_src_prepare
+
+ # Remove stupid sleep command.
+ # Also back out gnu make hack that causes regen of Makefiles.
+ sed -i \
+ -e '/sleep 10/d' \
+ -e '/^#### Work around bug in automake check macro$/,/^####
Info$/d' \
+ configure || die
+}
+
src_configure() {
if use ssl && use gnutls ; then
einfo "You enabled both USE=ssl and USE=gnutls, but only one
can be used;"
@@ -245,6 +256,18 @@ src_configure() {
enlightenment_src_configure
}
+src_compile() {
+ if host-is-pax && ! use oldlua ; then
+ # We need to build the lua code first so we can pax-mark it.
#547076
+ local target='_e_built_sources_target_gogogo_'
+ printf '%s: $(BUILT_SOURCES)\n' "${target}" >> src/Makefile ||
die
+ emake -C src "${target}"
+ emake -C src bin/elua/elua
+ pax-mark m src/bin/elua/.libs/elua
+ fi
+ enlightenment_src_compile
+}
+
src_install() {
MAKEOPTS+=" -j1"